<?php



// Llamo a la Clase NuSOAP

require_once('nusoap/nusoap.php');

// Llamo a la configuración 

require_once('config.php');

// Creo un servidor WebService

$server = new soap_server();

// Determino el Encoding

$server->soap_defencoding = 'UTF-8';

// Determino el Debug

$server->debug_flag = FALSE;

// Inicializo el Soporte WSDL 

//$server->configureWSDL('cxcwsdl', 'http://e-cuantica.com/cxc/');
$server->configureWSDL('cxcwsdl', 'http://e-cuantica.com/cxc/');

// Me conecto a la DB

$link =  mysql_connect('localhost', $dbuser, $dbpassword);

// Seleccion la Db

$db = mysql_select_db($dbname, $link);

// Establezco el DEBUG

$logdebug = false;





// Creo el tipo de Datos DataDocumento

$server->wsdl->addComplexType(

    'DataDocumento',

    'complexType',

    'struct',

    'sequence',

    '',

    array( 

        'tipodoc' => array('name' => 'tipodoc', 'type' => 'xsd:string'),

        'doc' => array('name' => 'doc', 'type' => 'xsd:string'),

        'moneda' => array('name' => 'moneda', 'type' => 'xsd:string'),

        'importe' => array('name' => 'importe', 'type' => 'xsd:float'),

        'saldo' => array('name' => 'saldo', 'type' => 'xsd:float'), 

        'fecdoc' => array('name' => 'fecdoc', 'type' => 'xsd:string'), 

        'fecpag' => array('name' => 'fecpag', 'type' => 'xsd:string'), 

        'fecop' => array('name' => 'fecop', 'type' => 'xsd:string'), 

        'op' => array('name' => 'op', 'type' => 'xsd:string'),         

        'estado' => array('name' => 'estado', 'type' => 'xsd:string')

    )

);



// Defino el array de DataDocumento

$server->wsdl->addComplexType(

    'DataDocumentos',

    'complexType',

    'array', 

    '', 

    'SOAP-ENC:Array', 

    array(), 

    array(

        array( 'ref' => 'SOAP-ENC:arrayType', 'wsdl:arrayType' => 'tns:DataDocumento[]')

    ), 

    'tns:DataDocumento'); 





// Registro el método getDocuments

$server->register(

    'getDocuments',

    array(

        'cuitUsuario' => 'xsd:string',

        'cuitEmpresa' => 'xsd:string'
    ),

    array(

        'return'=>'tns:DataDocumentos'

    ),		// output parameters
	'http://e-cuantica.com/cxc/',									// namespace
    'http://e-cuantica.com/cxc/getDocuments',						// soapaction
    'rpc',											// style
    'encoded',										// use
    'Devuelve Documentos'							// documentation

);





/**

 * Función getDocuments

 *

 * Solicita los documentos

 *

 * @category   WebServices

 * @author     Diego Fernando Rivero (diego.rivero@e-cuantica.com.ar)

 */

function getDocuments( $cuitUsuario, $cuitEmpresa ){

    global $db, $logdebug;

    

    require_once('logging.class.php');

    $log = new Logging();

    $log->lfile('mylog');   

   

    $return = array();

    

    $query = "select * from sfp ".

             "where CUITUSUARIO = '".$cuitUsuario."' ".

             "and CUITEMPRESA = '".$cuitEmpresa."' ".

             "order by FP_FECDOC";

    

    $res = mysql_query($query);

    

    if ($logdebug) {

        $log->lwrite("============ getDocuments ============");

        $log->lwrite("param cuitUsuario => $cuitUsuario");

        $log->lwrite("param cuitEmpresa => $cuitEmpresa");

        $log->lwrite("   ");

        $log->lwrite("query => $query ");

    }      

            

    while ($row = mysql_fetch_assoc($res)){

        $return[] = array(

                        'tipodoc' => $row['FP_TIPDOC'],

                        'doc' => $row['FP_DOC'],

                        'moneda' => $row['FP_MONEDA'],

                        'importe' => $row['FP_IMPORTE'],

                        'saldo' => $row['FP_SALDO'],

                        'fecdoc' => $row['FP_FECDOC'],

                        'fecpag' => $row['FP_FECPAG'],

                        'fecop' => $row['FP_FECOP'],

                        'op' => $row['FP_OP'],

                        'estado' => $row['FP_ESTADO']

                    );

    }

    

    return $return;

    

}





$HTTP_RAW_POST_DATA = isset($HTTP_RAW_POST_DATA) ? $HTTP_RAW_POST_DATA : '';

$server->service($HTTP_RAW_POST_DATA);



