<?php
	session_start();	
	if( empty($_SESSION['Usuario']['XU_CUIT']) ){
		die('Inicie sesi&oacute;n!');
	}
	
	include realpath(dirname(__FILE__).'/../../include/conn.php');
	include realpath(dirname(__FILE__).'/../../include/clsEstadisticas.php');
	$Estadisticas = new Estadisticas($SqlSrv);
	$cuitoc = ( !empty($_REQUEST['user']) )? $_REQUEST['user'] : ''; 
	if( !empty($_SESSION['Usuario']["EMPRESA"]) && $_SESSION['Usuario']["ADMIN"] == 1 ){
		$arrEstOTIF = $Estadisticas->obtTotalIsFull($cuitoc, $_SESSION['Usuario']['XU_CUIT']);		
		$arrEstOK	= $Estadisticas->obtParcialIsFull($cuitoc, $_SESSION['Usuario']['XU_CUIT']);
	}else{
		$arrEstOTIF = $Estadisticas->obtTotalIsFull($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
		$arrEstOK	= $Estadisticas->obtParcialIsFull($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
	}
	if(!empty($arrEstOTIF)){
		for($i = 0 ; $i < count($arrEstOTIF); $i++ ){
			$arrEstOTIF[$i]['DescMes'] = $arrMeses[$arrEstOTIF[$i]['Mes']][0];
			for($x = 0; $x < count($arrEstOK); $x++ ){
				if( $arrEstOTIF[$i]['Mes'] == $arrEstOK[$x]['Mes'] ){
					$arrEstOTIF[$i]['entrega'] = $arrEstOK[$x]['Cantidad'];
				}
			}
		}
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>amCharts examples</title>
        <script type="text/javascript" src="../../js/estadisticas/amcharts.js"></script>
        <script type="text/javascript" src="../../js/estadisticas/gauge.js"></script>

        <script>
            var chart;
            var arrow;
            var axis;

            AmCharts.ready(function () {
                // create angular gauge
                chart = new AmCharts.AmAngularGauge();
                chart.addTitle("Speedometer");

                // create axis
                axis = new AmCharts.GaugeAxis();
                axis.startValue = 0;
				axis.axisThickness = 1;
                axis.valueInterval = 10;
                axis.endValue = 220;
                // color bands
                var band1 = new AmCharts.GaugeBand();
                band1.startValue = 0;
                band1.endValue = 90;
                band1.color = "#00CC00";

                var band2 = new AmCharts.GaugeBand();
                band2.startValue = 90;
                band2.endValue = 130;
                band2.color = "#ffac29";

                var band3 = new AmCharts.GaugeBand();
                band3.startValue = 130;
                band3.endValue = 220;
                band3.color = "#ea3838";
                band3.innerRadius = "95%";

                axis.bands = [band1, band2, band3];

                // bottom text
                axis.bottomTextYOffset = -20;
                axis.setBottomText("0 km/h");
                chart.addAxis(axis);

                // gauge arrow
                arrow = new AmCharts.GaugeArrow();
                chart.addArrow(arrow);

                chart.write("chartdiv");
                // change value every 2 seconds
                setInterval(randomValue, 2000);
            });

            // set random value
            function randomValue() {
                var value = Math.round(Math.random() * 200);
                arrow.setValue(value);
                axis.setBottomText(value + " km/h");
            }

        </script>
    </head>

    <body>
        <div id="chartdiv" style="width:400px; height:400px;"></div>
    </body>
</html>