<?php 
	session_start();
	// Seleccionamos la base de datos
	include realpath(dirname(__FILE__).'/../include/conn.php');
	include realpath(dirname(__FILE__).'/../include/clsChat.php');
	include realpath(dirname(__FILE__).'/../include/clsGrabUrl.php');
	
	$cuit 		= ( !empty($_REQUEST['chat-usuario']) 	)		? $_REQUEST['chat-usuario'] 	: '';
	$Chat 		= new Chat($SqlSrv);
	$GrabUrl 	= new GrabUrl();

	//Verificamos que el nombre usuario este presente en el campo de texto oculto
	$u = false;
	if(isset($_POST['chat-usuario']) and strlen(trim($_POST['chat-usuario'])) > 0){
		$usuario = $_POST['chat-usuario'];
		$u = true;
	}
	
	//Verificamos que el motivo
	$mt = false;
	if(isset($_POST['motivo']) and strlen(trim($_POST['motivo'])) > 0){
		$motivo = $_POST['motivo'];
		$mt = true;
	}

	//Verificamos que el mensaje sea valido
	$m = false;
	if(isset($_POST['chat-mensaje']) and strlen(trim($_POST['chat-mensaje'])) > 0){
		$mensaje = '<b> Orden de Compra: '.$_POST['oc-proveedor'].'</b> <br>'. $_POST['chat-mensaje'];
		$m = true;
	}
	$ret = '';
	// Si ambos son validos
	if($u and $m and $mt){
		$fecha = str_replace('-','',date('Y-m-d'));
		// $fecha = str_replace('-','',date('d-m-Y'));
		$hora  		= substr(str_replace(':','',date('H:i:s')),0,4);
		$estado 	= 'PENDIENTE';
		$idx 		= 0;
		$arrEmpresa = array();
		$idx 		= $Chat->insertChat($_SESSION['Usuario']["XU_CUIT"], $_SESSION['Usuario']['PROVEEDOR'], $fecha, $motivo, $estado);
		$Chat->insertChatDetalle($_SESSION['Usuario']["XU_CUIT"], $_SESSION['Usuario']['PROVEEDOR'], $idx, $fecha, $hora, $mensaje, $_SESSION['Usuario']['XU_EMAIL']);
		
		$empresa= $_SESSION['Usuario']['PROVEEDOR_RZNSOC'];
		$arrEmpresa = $Chat->obtContactoMotivoByEmpresa($_SESSION['Usuario']["PROVEEDOR"], $motivo);		
		//envio a empresa
		$GrabUrl->sendChat(	$_SESSION['Usuario'], 
							$idx, 
							$fecha, 
							$hora, 
							$estado, 
							$arrEmpresa['MT_DESCRIPCION'], 
							$mensaje, 
							strtolower($arrEmpresa['MT_EMAIL']), 
							strtolower($arrEmpresa['MT_EMAIL_A']), 
							strtolower($arrEmpresa['MT_EMAIL_B']), 
							strtolower($arrEmpresa['MT_EMAIL_C']),
							$empresa
						);
		
		//envio a proveedor
		$GrabUrl->sendChat(	$_SESSION['Usuario'], 
							$idx, 
							$fecha, 
							$hora, 
							$estado, 
							$arrEmpresa['MT_DESCRIPCION'], 
							$mensaje, 
							strtolower($_SESSION['Usuario']['XU_EMAIL']),
							'',
							'',
							'',
							$empresa
						);
	}
?>