<?php
	session_start();	
	if( empty($_SESSION['Usuario']['XU_CUIT']) ){
		die('Inicie sesi&oacute;n!');
	}
	
	include realpath(dirname(__FILE__).'/../../include/conn.php');
	include realpath(dirname(__FILE__).'/../../include/clsEstadisticas.php');
	$Estadisticas = new Estadisticas($SqlSrv);
	$cuitoc = ( !empty($_REQUEST['user']) )? $_REQUEST['user'] : ''; 
	if( !empty($_SESSION['Usuario']["EMPRESA"]) && $_SESSION['Usuario']["ADMIN"] == 1 ){
		$arrEstOTIF = $Estadisticas->obtTotalIsFull($cuitoc, $_SESSION['Usuario']['XU_CUIT']);		
		$arrEstOK	= $Estadisticas->obtParcialIsFull($cuitoc, $_SESSION['Usuario']['XU_CUIT']);
	}else{
		$arrEstOTIF = $Estadisticas->obtTotalIsFull($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
		$arrEstOK	= $Estadisticas->obtParcialIsFull($cuitoc, $_SESSION['Usuario']['PROVEEDOR']);
	}
	if(!empty($arrEstOTIF)){
		for($i = 0 ; $i < count($arrEstOTIF); $i++ ){
			$arrEstOTIF[$i]['DescMes'] = $arrMeses[$arrEstOTIF[$i]['Mes']][0];
			for($x = 0; $x < count($arrEstOK); $x++ ){
				if( $arrEstOTIF[$i]['Mes'] == $arrEstOK[$x]['Mes'] ){
					$arrEstOTIF[$i]['entrega'] = $arrEstOK[$x]['Cantidad'];
				}
			}
		}
	}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>amCharts examples</title>
        <script type="text/javascript" src="../../js/estadisticas/amcharts.js"></script>
        <script type="text/javascript" src="../../js/estadisticas/serial.js" type="text/javascript"></script><script>
            var chart;
			var chartData = <?=json_encode($arrEstOTIF);?>;
            AmCharts.ready(function () {
                // SERIAL CHART
                chart = new AmCharts.AmSerialChart();
                chart.dataProvider = chartData;
                chart.categoryField = 'DescMes';
                chart.startDuration = 1;
                chart.rotate = false;

                // AXES
                // category
                var categoryAxis = chart.categoryAxis;
                categoryAxis.gridPosition = 'start';
                categoryAxis.axisColor = '#DADADA';
                categoryAxis.dashLength = 3;

                // value
                var valueAxis = new AmCharts.ValueAxis();
                valueAxis.dashLength = 3;
                valueAxis.axisAlpha = 0.2;
                valueAxis.position = 'top';
                valueAxis.title = 'IS-FULL Year To Day';
                valueAxis.minorGridEnabled = true;
                valueAxis.minorGridAlpha = 0.08;
                valueAxis.gridAlpha = 0.15;
                chart.addValueAxis(valueAxis);

                // GRAPHS
                // column graph
                var graph1 = new AmCharts.AmGraph();
                graph1.type = 'column';
                graph1.title = 'Cantidad Pedida';
                graph1.valueField = 'Cantidad';
                graph1.lineAlpha = 0;
                graph1.fillColors = '#ADD981';
                graph1.fillAlphas = 0.8;
                graph1.balloonText = '<span>[[title]] en [[category]]:<b>[[value]]</b></span>';
                chart.addGraph(graph1);

                // line graph
                var graph2 = new AmCharts.AmGraph();
                graph2.type = 'line';
                graph2.lineColor = '#27c5ff';
                graph2.bulletColor = '#FFFFFF';
                graph2.bulletBorderColor = '#27c5ff';
                graph2.bulletBorderThickness = 2;
                graph2.bulletBorderAlpha = 1;
                graph2.title = 'Cantidad Entregada';
                graph2.valueField = 'entrega';
                graph2.lineThickness = 2;
                graph2.bullet = 'round';
                graph2.fillAlphas = 0;
                graph2.balloonText = '<span>[[title]] en [[category]]:<b>[[value]]</b></span>';
                chart.addGraph(graph2);

                // LEGEND
                var legend = new AmCharts.AmLegend();
                legend.useGraphSettings = true;
                chart.addLegend(legend);

                chart.creditsPosition = 'top-right';

                // WRITE
                chart.write('chartdiv');
            });
        </script>
    </head>
    <body>
        <div id="chartdiv" style="width:100%; height:300px;">></div>
    </body>
</html>