<?php	
	header('Content-type: application/vnd.ms-excel');
	header("Content-Disposition: attachment; filename=archivo.xls");
	header("Pragma: no-cache");
	header("Expires: 0");
	session_start();
	
	include realpath(dirname(__FILE__).'/../include/conn.php');
	$Encrypt 	= new Encrypt();
	$page 	 	= new Page();
	$cuit	 	= "";
	$func		= ( !empty($_REQUEST['func']) 		)	? $_REQUEST['func'] 		: "" ;
	$cuit		= ( !empty($_REQUEST['cuit']) 		)	? $_REQUEST['cuit'] 		: "" ;
	$desde		= ( !empty($_REQUEST['desdeFac']) 	)	? $_REQUEST['desdeFac'] 	: "" ;
	$hasta		= ( !empty($_REQUEST['hastaFac']) 	)	? $_REQUEST['hastaFac'] 	: "" ;
	$idReg		= ( !empty($_REQUEST['idReg']) 		)	? $_REQUEST['idReg'] 		: "" ;
	
	$page->actual	= ( !empty($_REQUEST['pagina']) && is_numeric($_REQUEST['pagina']) )? ( (int) $_REQUEST['pagina'] )	: 0;
	$page->limit	= 0;
	
	$arr 		= $MetaData->obtEstrucTabla($func);
	$arrGrid	= retArrayBrowse($arr);
	$IndexTable = $MetaData->obtIndiceTabla($func);
	
	// $arrDatosTabla = $MetaData->obtOPxEmpresa($_SESSION['Usuario']["XU_CUIT"], $cuit, $func);
	switch($func){
		case 'sfp':
		case 'spp':
			if(!empty($_SESSION['Usuario']["EMPRESA"]) && $_SESSION['Usuario']["ADMIN"] == 1 ){
				$arrDatosTabla	= $MetaData->obtOPxAdministrador($cuit, $_SESSION['Usuario']['XU_CUIT'], $func, '', '', $desde, $hasta, $page->actual, $page->limit, 0);
			}else{
				$arrDatosTabla	= $MetaData->obtOPxEmpresa($_SESSION['Usuario']['XU_CUIT'], $_SESSION['Usuario']['PROVEEDOR'], $func, '', '', $page->actual, $page->limit, 0);
			}
		break;
		case 'spd':
			$arrDatosTabla	= $MetaData->obtSPDetalle($idReg, $cuit);
		break;
		case 'sxu':
			// $arrDatosTabla	= $MetaData->obtUsuarioEmpresa($cuit);
			$arrDatosTabla	= $MetaData->obtUsuariosProveedores($cuit, 0, 0);
		break;
		case 'sfe':
		case 'smc':
		case 'smt':
			if( !empty($_SESSION['Usuario']["EMPRESA"]) && $_SESSION['Usuario']["ADMIN"] == 1 ){
				$arrDatosTabla	= $MetaData->obtDatosAdmin( $func, $_SESSION['Usuario']["XU_CUIT"] );
			}
		break;
	}
	
	$html  = '';
	$html .= '<div style="margin-top:11px !important;"></div>';
	$html .= '<table id="flexme1">';
	$html .= '	<thead>';
	$html .= '		<tr>';

	for($i = 0; $i < count($arrGrid); $i++){
		$newWidth = ceil(($arrGrid[$i]['X3_TAMANHO'] * WIDTH_ROW)/100);
		$newWidth = strlen($arrGrid[$i]['X3_TITULO']) * 8 /* px de cada letra */;
		$html .= '	<th width="'.$newWidth.'">'.$arrGrid[$i]['X3_TITULO'].'</th>';
	}

	$html .= '		</tr>';
	$html .= '	</thead>';
	$html .= '	<tbody>';
	if(!empty($arrDatosTabla)){
		for($x = 0; $x < count($arrDatosTabla); $x++){
			$html .= '	<tr class="item_" id="item_'.$x.'">';
			for($i = 0; $i < count($arrGrid); $i++){
				$newWidth = strlen($arrGrid[$i]['X3_TITULO']) * 8 /* px de cada letra */;
				$html .= '<td width="'.$newWidth.'" '.( ($arrGrid[$i]['X3_TIPO'] == 'N')? '' : '').'>';
				$html .= strtoupper($arrDatosTabla[$x][$arrGrid[$i]['X3_CAMPO']]);
				$html .= '</td>';
			}
			$html .= '</tr>';
		}
	}
	$html .= '	</tbody>';
	$html .= '</table>';	
	die($html);
?>