<?php
	class Chat{
	 var $CLASS_INFO ;        // Info de la Clase
	 var $SqlSrv ;          // Clase SqlServer
	 // var $userid ;          // Usuario Logeado
	 // var $password ;         // Password
		function Chat($SqlServer){
		
			$this->CLASS_INFO['NAME']   = "Chat" ;
			$this->CLASS_INFO['VERSION'] = "1.0" ;
			if ($SqlServer->CLASS_INFO['NAME'] != "SqlServer" || $SqlServer->CLASS_INFO['VERSION'] < "1.0"){
				die("UserAdmin: Esta clase requiere SqlServer 1.0 o superior.");
			}
			$this->SqlSrv = $SqlServer ;
			return TRUE;
		}
		
		function ObtChat($cuitUsuario='', $cuitEmpresa='', $nomTabla= "", $filtro ='', $estados='', $desde='', $hasta=''){
			$arrReturn = array();
			$query  = "SELECT schat.CUITEMPRESA, schat.CUITUSUARIO, CHAT_IDX, CHAT_MENSAJE, MT_DESCRIPCION AS 'CHAT_MOTIVO', CHAT_FECAPERTURA, CHAT_FECACTUAL, CHAT_ESTADO FROM schat ";			
			$query .= "LEFT JOIN smt ON smt.MT_CODIGO = schat.CHAT_MOTIVO ";
			$query .= "WHERE schat.CUITUSUARIO='$cuitUsuario' AND schat.CUITEMPRESA='$cuitEmpresa' ";
			$query .= ( !empty($filtro) && $filtro!='00' )? "AND CHAT_MOTIVO = '$filtro' " : " ";
			$query .= ( !empty($estados) && $estados!= 'TODO' )? "AND CHAT_ESTADO = '$estados' " : " ";
			$query .= ( !empty($desde) )? "AND CHAT_FECAPERTURA >= '$desde' " : " ";
			$query .= ( !empty($hasta) )? "AND CHAT_FECAPERTURA <= '$hasta' " : " ";
			$query .= "GROUP BY CHAT_IDX ";
			$query .= "ORDER BY CHAT_FECAPERTURA ASC ";
			// echo $query;
			// $query .= "LIMIT 0,50 ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$MetaData = new MetaData($this->SqlSrv);
				$arrEstrucTabla = $MetaData->obtEstrucTabla($nomTabla);
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					for($x = 0; $x < count($arrEstrucTabla); $x++){
						$arrReturn[$i][$arrEstrucTabla[$x]['X3_CAMPO']]= $row[$arrEstrucTabla[$x]['X3_CAMPO']];
					}
				}
			}
			return $arrReturn;
		}
		
		function insertChat($cuitUsuario='', $cuitEmpresa='', $fecha='', $motivo='', $estado=''){
			if(!empty($cuitUsuario) && !empty($cuitEmpresa)){
				$query = "INSERT INTO schat (CUITUSUARIO, CUITEMPRESA, CHAT_FECAPERTURA, CHAT_MOTIVO, CHAT_ESTADO) VALUES ('$cuitUsuario', '$cuitEmpresa', '$fecha', '$motivo', '$estado' ) ";
				return $this->SqlSrv->dbQueryInsert($query);
			}	
			return false;
		}
		
		function insertChatDetalle($cuitUsuario='', $cuitEmpresa='', $idx=0, $fecha='', $hora='', $msj='', $email=''){
			if(!empty($cuitUsuario) && !empty($cuitEmpresa)){
				$query = "INSERT INTO schatd (CUITUSUARIO, CUITEMPRESA, CHATD_IDX, CHATD_FECHA, CHATD_HORA, CHATD_MENSAJE, CHATD_EMAIL_USER) VALUES ('$cuitUsuario', '$cuitEmpresa', $idx, '$fecha', '$hora', '$msj', '$email') ";
				return $this->SqlSrv->dbQueryInsert($query);
			}	
			return false;
		}
		
		function obtMensajesPendientes($cuitEmpresa=''){
			$query  = "SELECT COUNT(*) AS total FROM schat ";
			$query .= "WHERE CUITEMPRESA='$cuitEmpresa' ";
			$query .= "AND CHAT_ESTADO='PENDIENTE' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$row = $this->SqlSrv->dbGetRow($result,0);
			}
			return $row['total'];
		}
		
		
		function obtMensajesPendientesUser($cuitUsuario='', $cuitEmpresa='' ){
			$query  = "SELECT COUNT(*) FROM schat ";
			$query .= "WHERE CUITUSUARIO='$cuitUsuario' AND CUITEMPRESA='$cuitEmpresa' ";
			$query .= "AND CHAT_ESTADO='PENDIENTE' ";			
			$result	= $this->SqlSrv->dbQuery($query);
			return $this->SqlSrv->dbNumRows($result);
		}
		
		function obtMotivosChat($cuitEmpresa=''){
			$arrReturn = array();
			$query = "SELECT * FROM smt WHERE CUITEMPRESA = '$cuitEmpresa' ";
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					$arrReturn[$i] = $row;
				}
			}
			return $arrReturn;
		}
		
		function obtMensaje($idx=0){
			$arrReturn = array();
			// $query  = "SELECT * FROM schat ";
			$query  = "SELECT XE_NOMBRE, XE_EMAIL, schat.*, schatd.*, smt.*  FROM schat  ";
			$query .= "INNER JOIN schatd ON schat.CHAT_IDX = schatd.CHATD_IDX ";			
			$query .= "INNER JOIN sxe ON schat.CUITEMPRESA = sxe.XE_CUIT ";
			$query .= "LEFT JOIN smt ON schat.CHAT_MOTIVO = smt.MT_CODIGO ";			
			$query .= "WHERE schat.CHAT_IDX = $idx ";
			$query .= "GROUP BY CHATD ";
			$query .= "ORDER BY CHATD_FECHA, CHATD_HORA ASC ";
			// echo $query;
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					$arrReturn[$i] = $row;
				}
			}
			return $arrReturn;
		}

		function insertChatComentarioResp($cuitUsuario='', $cuitEmpresa='', $idxChat=0, $fecha='', $hora='', $mensaje='', $pr=0, $email=''){
			if(!empty($cuitUsuario) && !empty($cuitEmpresa)){
				$query = "INSERT INTO schatd (CUITUSUARIO, CUITEMPRESA, CHATD_IDX, CHATD_FECHA, CHATD_HORA, CHATD_MENSAJE, CHATD_PR, CHATD_EMAIL_USER ) VALUES ('$cuitUsuario', '$cuitEmpresa', $idxChat, '$fecha', '$hora', '$mensaje', $pr, '$email' ) ";
				return $this->SqlSrv->dbQueryInsert($query);
			}	
			return false;
		}
					
		function ObtChatProv($cuitUsuario='', $cuitEmpresa='', $nomTabla= "", $filtro ='', $estados='', $desde='', $hasta=''){
			$arrReturn = array();
			$query  = "SELECT schat.CUITEMPRESA, schat.CUITUSUARIO, CHAT_IDX, CHAT_MENSAJE, MT_DESCRIPCION AS 'CHAT_MOTIVO', CHAT_FECAPERTURA, CHAT_FECACTUAL, CHAT_ESTADO FROM schat ";			
			$query .= "LEFT JOIN smt ON smt.MT_CODIGO = schat.CHAT_MOTIVO ";
			$query .= "WHERE schat.CUITEMPRESA='$cuitUsuario' ";
			$query .= ( !empty($cuitEmpresa) && ($cuitEmpresa <> $cuitUsuario)? "AND schat.CUITUSUARIO='$cuitEmpresa' " : " ");
			$query .= ( !empty($filtro ) && $filtro!='00' 		)? "AND CHAT_MOTIVO = '$filtro' " : " ";
			$query .= ( !empty($estados) && $estados!= 'TODO' 	)? "AND CHAT_ESTADO = '$estados' " : " ";
			$query .= ( !empty($desde) )? "AND CHAT_FECAPERTURA >= '$desde' " : " ";
			$query .= ( !empty($hasta) )? "AND CHAT_FECAPERTURA <= '$hasta' " : " ";
			$query .= "GROUP BY CHAT_IDX ";
			$query .= "ORDER BY CHAT_IDX ASC ";
			// $query .= "ORDER BY CHAT_FECAPERTURA ASC ";
			// $query .= "LIMIT 0,50 ";
			// echo $query;
			$result	= $this->SqlSrv->dbQuery($query);
			$numrows = $this->SqlSrv->dbNumRows($result);
			if($numrows){
				$MetaData = new MetaData($this->SqlSrv);
				$arrEstrucTabla = $MetaData->obtEstrucTabla($nomTabla);
				for( $i = 0 ; $i < $numrows ; $i++ ) {
					$row = $this->SqlSrv->dbGetRow($result,$i);
					for($x = 0; $x < count($arrEstrucTabla); $x++){
						$arrReturn[$i][$arrEstrucTabla[$x]['X3_CAMPO']]= $row[$arrEstrucTabla[$x]['X3_CAMPO']];
					}
				}
			}
			return $arrReturn;
		}
		
		function cambiarEstadoChat($idx=0, $estado='', $fecha=''){
			if( $idx > 0 ){
				$query  = "UPDATE schat SET CHAT_ESTADO = '$estado', CHAT_FECACTUAL = '$fecha' ";
				$query .= "WHERE CHAT_IDX = $idx ";
				$result	= $this->SqlSrv->dbQuery($query);
			}
		}
		
		function obtCUITProvChat($idx=0){
			$arrReturn = array();
			if( $idx > 0 ){
				$query   = "SELECT CUITUSUARIO FROM schat ";
				$query  .= "WHERE CHAT_IDX = $idx ";
				$result	 = $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
				if($numrows){
					$arrReturn = $this->SqlSrv->dbGetRow($result,0);
				}
			}
			return $arrReturn;
		}
		
		function obtChatID($idx=0){
			$arrReturn = array();
				$query   = "SELECT * FROM schat ";
				$query  .= "INNER JOIN sxu ON XU_CUIT = CUITUSUARIO ";
				$query  .= "WHERE CHAT_IDX = $idx ";
				$result	 = $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
				if($numrows){
					$arrReturn = $this->SqlSrv->dbGetRow($result,0);
				}
			return $arrReturn;
		}
		
		function obtContactoMotivoByEmpresa($cuit='', $motivo=0){
			$arrReturn = array();
			if( !empty($cuit) && !empty($motivo) ){
				$query   = "SELECT * FROM smt ";
				$query  .= "WHERE CUITEMPRESA = '$cuit' ";
				$query  .= "AND MT_CODIGO = $motivo ";
				$result	 = $this->SqlSrv->dbQuery($query);
				$numrows = $this->SqlSrv->dbNumRows($result);
				if($numrows){
					$arrReturn = $this->SqlSrv->dbGetRow($result,0);
				}
			}	
			return $arrReturn;
		}		
		
	}
?>